## image-factory 1.0.1

=== Makefile ===
PREFIX ?= /usr/local

VERSION := 1.0.1
DIST := image-factory image-factory.1.md image-factory.conf image_factory.py \
	image-factory-sudo-helper image-factory-sudo-helper.1.md LICENSE Makefile NEWS README.md \
	tests/__init__.py tests/pylint.conf tests/test_cli.py tests/test_flake8.py \
	tests/test_helper.py tests/test_pylint.py tests/test_sudo_helper.py \
	$(wildcard data/*.cfg) $(wildcard data/*.xml)

all: doc

check:
	python3 -m unittest discover -v

clean:
	rm -f *.1

dist: image-factory-$(VERSION).tar.xz image-factory-$(VERSION).tar.xz.asc

version:
	@echo $(VERSION)

%.asc: %
	gpg --armor --batch --detach-sign --yes --output $@ $^

%.tar.xz: $(DIST)
	tar -c --exclude-vcs --transform="s@^@$*/@S" $^ | xz -cz9 > $@

doc: image-factory.1 image-factory-sudo-helper.1

%.1: %.1.md
	pandoc -s -t man $^ -o $@

install:
	install -D -m 755 image-factory $(DESTDIR)$(PREFIX)/bin/image-factory
	install -D -m 755 image-factory-sudo-helper $(DESTDIR)$(PREFIX)/bin/image-factory-sudo-helper
	install -D -m 644 image-factory.1 $(DESTDIR)$(PREFIX)/share/man/man1/image-factory.1
	install -D -m 644 image-factory-sudo-helper.1 $(DESTDIR)$(PREFIX)/share/man/man1/image-factory-sudo-helper.1
	install -d $(DESTDIR)$(PREFIX)/share/image-factory
	install -m 644 $(wildcard data/*) $(DESTDIR)$(PREFIX)/share/image-factory
	install -D -m 644 image-factory.conf $(DESTDIR)$(PREFIX)/share/doc/image-factory/image-factory.conf

.PHONY: all check clean doc install version

=== debian/changelog ===
image-factory (1.0.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.1
  * Upgrade debian/watch to version 4

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Fri, 29 Jan 2021 16:16:43 +0100

image-factory (1.0.0-2) unstable; urgency=medium

  * Remove IONOS from short description
  * Add upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Thu, 22 Oct 2020 10:37:18 +0200

image-factory (1.0.0-1) unstable; urgency=medium

  * Initial public release (Closes: #970384)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 15 Sep 2020 13:12:27 +0200

=== debian/control ===
Source: image-factory
Maintainer: Benjamin Drung <benjamin.drung@cloud.ionos.com>
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pandoc,
               pylint (>= 2.2.2-2~) | pylint3,
               python3-all,
               python3-flake8,
               python3-httplib2,
               python3-parted
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/ionos-enterprise/image-factory
Vcs-Browser: https://github.com/ionos-enterprise/image-factory
Vcs-Git: https://github.com/ionos-enterprise/image-factory.git -b debian/master

Package: image-factory
Architecture: all
Depends: libvirt-clients,
         python3-httplib2,
         python3-parted,
         qemu-utils,
         virtinst (>= 1:2.1),
         zerofree,
         ${misc:Depends},
         ${python3:Depends}
Recommends: libvirt-daemon
Description: Build golden Linux images
 image-factory is a command line tool for building golden Linux images. It uses
 virt-install to do installations via the network. The installation and
 configuration of the images is done using the netinstall support from the
 distributions, i.e.
 .
  * preseed for Debian/Ubuntu
  * Kickstart for CentOS/Fedora
  * AutoYaST for openSUSE
 .
 image-factory is used by IONOS Cloud to build the golden public Linux images
 for their Enterprise Cloud. The configuration files are shipped with this
 project to allow anyone to rebuild their images.

## image-factory 1.0.2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 PREFIX ?= /usr/local
 
-VERSION := 1.0.1
+VERSION := 1.0.2
 DIST := image-factory image-factory.1.md image-factory.conf image_factory.py \
-	image-factory-sudo-helper image-factory-sudo-helper.1.md LICENSE Makefile NEWS README.md \
-	tests/__init__.py tests/pylint.conf tests/test_cli.py tests/test_flake8.py \
-	tests/test_helper.py tests/test_pylint.py tests/test_sudo_helper.py \
+	image-factory-sudo-helper image-factory-sudo-helper.1.md LICENSE Makefile NEWS.md README.md \
+	tests/__init__.py tests/pylint.conf tests/test_black.py tests/test_cli.py tests/test_flake8.py \
+	tests/test_helper.py tests/test_isort.py tests/test_pylint.py tests/test_sudo_helper.py \
 	$(wildcard data/*.cfg) $(wildcard data/*.xml)
 
 all: doc

=== debian/changelog ===
image-factory (1.0.2-1) unstable; urgency=medium

  * New upstream release
    - Fix issues found by pylint 2.11.1 (Closes: #998571)
  * Bump Standards-Version to 4.6.0
  * Add black and isort to build dependencies

 -- Benjamin Drung <benjamin.drung@ionos.com>  Fri, 12 Nov 2021 16:52:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: image-factory
-Maintainer: Benjamin Drung <benjamin.drung@cloud.ionos.com>
+Maintainer: Benjamin Drung <benjamin.drung@ionos.com>
 Section: admin
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: black,
+               debhelper-compat (= 13),
                dh-python,
+               isort,
                pandoc,
                pylint (>= 2.2.2-2~) | pylint3,
                python3-all,
@@ -11,7 +13,7 @@
                python3-httplib2,
                python3-parted
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/ionos-enterprise/image-factory
 Vcs-Browser: https://github.com/ionos-enterprise/image-factory
 Vcs-Git: https://github.com/ionos-enterprise/image-factory.git -b debian/master

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/ionos-enterprise/image-factory/releases (?:.*?/)?image-factory-(.*)\.(?:tar.gz|tar.bz2|tar.xz)
